/************************************************************************************************/
/*																								*/
/*	Module Name:	CountCAs																	*/
/*																								*/
/*	File Name:		CountCAs.c																	*/
/*																								*/
/*	 Apple Computer, Inc. 1991-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1991-07-16	Chris Halim			Original version										*/
/*		1995-06-26	Jaakko Railo		Version 2.0												*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

This module calls TELCountCAs with different IntExt parameter.

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

/****************************************** PROTOTYPES ******************************************/

void 		DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle		termHand = GetCurrentTELHandle (paramPtr);
	TELDNHandle		dnHand;
	short			numOfCAs;
		
	if ((dnHand = GetDNHandle (paramPtr)) != nil) {
		numOfCAs = TELCountCAs (dnHand, telAllCallOrigins);
		Print (paramPtr, "Number of CAs found (telAllCallOrigins) = %d", numOfCAs);
		numOfCAs = TELCountCAs (dnHand, telInternalCall);
		Print (paramPtr, "Number of CAs found (telInternalCall) = %d", numOfCAs);
		numOfCAs = TELCountCAs (dnHand, telExternalCall);
		Print (paramPtr, "Number of CAs found (telExternalCall) = %d", numOfCAs);		
	}
	else
		Print (paramPtr, "### Unable to retrieve the DN handle");
}


