/************************************************************************************************/
/*																								*/
/*	Module Name:	DNGetDTMF																	*/
/*																								*/
/*	File Name:		DNGetDTMF.c																	*/
/*																								*/
/*	 Apple Computer, Inc. 1994-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1994-06-21	Jaakko Railo		Original version										*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#ifndef __TELEPHONES__
#include "Telephones.h"
#endif

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	kDTMFOn			1
#define	kDTMFOff		0

/****************************************** PROTOTYPES ******************************************/

void 		DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	TELDNHandle	dnHand;
	OSErr		errCode;
	Boolean		dtmf;
	
	if ((dnHand = GetDNHandle (paramPtr)) != nil) {
		if ((errCode = TELDNGetDTMF (dnHand, &dtmf)) == noErr)
			Print (paramPtr, "TELDNGetDTMF --> DTMF = %s", 
					((dtmf==kDTMFOn)?"DTMFOn":"DTMFOff"));
		else
			Print (paramPtr, "### TELDNGetDTMF failed : %d", errCode);
	}
	else
		Print (paramPtr, "### Unable to retrieve the DN handle");
}
