/************************************************************************************************/
/*																								*/
/*	Module Name:	DNSetDTMF																	*/
/*																								*/
/*	File Name:		DNSetDTMF.c																	*/
/*																								*/
/*	 Apple Computer, Inc. 1994-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1994-06-21	Jaakko Railo		Original version										*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#ifndef __TELEPHONES__
#include "Telephones.h"
#endif

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	rDisplayDNSetDTMFDLOG	10000
#define	kDTMFOnItem				2
#define	kDTMFOffItem			3
#define	kDTMFOn					1
#define	kDTMFOff				0

/****************************************** PROTOTYPES ******************************************/

short 		DisplayDNSetDTMF (void);
void 		DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


short DisplayDNSetDTMF (void)
{
	short		itemHit;
	DialogPtr	theDialog;
	
	if ((theDialog = GetNewDialog (rDisplayDNSetDTMFDLOG, nil, (WindowPtr)(-1L))) != nil) {
		
		ShowWindow (theDialog);
		
		ModalDialog (nil, &itemHit);
		
		DisposeDialog (theDialog);
	}
	else
		itemHit = -1;
	
	return (itemHit);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	TELDNHandle	dnHand;
	short		itemHit;
	OSErr		errCode;
	Boolean		dtmf;
	
	if ((dnHand = GetDNHandle (paramPtr)) != nil) {
		itemHit = DisplayDNSetDTMF ();
		if ((itemHit == kDTMFOnItem) || (itemHit == kDTMFOffItem)) {
			
			dtmf = (itemHit == kDTMFOnItem)?kDTMFOn:kDTMFOff;
			
			if ((errCode = TELDNSetDTMF (dnHand, dtmf)) == noErr)
				Print (paramPtr, "TELDNSetDTMF --> DTMF = %s", 
						((dtmf==kDTMFOn)?"DTMFOn":"DTMFOff"));
			else
				Print (paramPtr, "### TELDNSetDTMF failed : %d", errCode);
		}
		else
			if (itemHit == -1)
				Print (paramPtr, "### Unable to get a DLOG resource");
	}
	else
		Print (paramPtr, "### Unable to retrieve the DN handle");
}


