/************************************************************************************************/
/*																								*/
/*	Module Name:	DNTollSaverControl															*/
/*																								*/
/*	File Name:		DNTollSaverControl.c														*/
/*																								*/
/*	 Apple Computer, Inc. 1994-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1994-05-20	Jaakko Railo		Original version										*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#include "TextUtils.h"

#ifndef __TELEPHONES__
#include "Telephones.h"
#endif

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	rDisplayTollSaverDLOG	10000
#define	kQuickAnswerOnItem		2
#define	kQuickAnswerOffItem		3
#define	kQuickAnswerOn			1
#define	kQuickAnswerOff			0

/****************************************** PROTOTYPES ******************************************/

short		DisplayTollSaver (void);
void 		DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


short	DisplayTollSaver (void)
{
	short		itemHit;
	DialogPtr	theDialog;
	
	if ((theDialog = GetNewDialog (rDisplayTollSaverDLOG, nil, (WindowPtr)(-1L))) != nil) {
		
		ShowWindow (theDialog);
		
		ModalDialog (nil, &itemHit);
		
		DisposeDialog (theDialog);
	}
	else
		itemHit = -1;
	
	return (itemHit);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	TELDNHandle	dnHand;
	short		itemHit;
	OSErr		errCode;
	Boolean		quickAnswer;
	
	if ((dnHand = GetDNHandle (paramPtr)) != nil) {
		itemHit = DisplayTollSaver ();
		if ((itemHit == kQuickAnswerOnItem) || (itemHit == kQuickAnswerOffItem)) {
			
			quickAnswer = (itemHit == kQuickAnswerOnItem)?kQuickAnswerOn:kQuickAnswerOff;
			
			if ((errCode = TELDNTollSaverControl (dnHand, quickAnswer)) == noErr)
				Print (paramPtr, "TELDNTollSaverControl --> QuickAnswer = %s", 
						((quickAnswer==kQuickAnswerOn)?"QuickAnswerOn":"QuickAnswerOff"));
			else
				Print (paramPtr, "### TELDNTollSaverControl failed : %d", errCode);
		}
		else
			if (itemHit == -1)
				Print (paramPtr, "### Unable to get a DLOG resource");
	}
	else
		Print (paramPtr, "### Unable to retrieve the DN handle");
}


