/************************************************************************************************/
/*																								*/
/*	Module Name:	GetDNProgressDet															*/
/*																								*/
/*	File Name:		GetDNProgressDet.c															*/
/*																								*/
/*	 Apple Computer, Inc. 1994-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1994-11-07	Jaakko Railo		Original version										*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#ifndef __TELEPHONES__
#include "Telephones.h"
#endif

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	kProgressDetOn		1
#define	kProgressDetOff		0

/****************************************** PROTOTYPES ******************************************/

void 	DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	TELDNHandle	dnHand;
	OSErr		errCode;
	long		selector = nil;
	Boolean		progressDet;
	
	if ((dnHand = GetDNHandle (paramPtr)) != nil) {
			
		if ((errCode = TELGetDNProgressDet (dnHand, selector, &progressDet)) == noErr)
			Print (paramPtr, "TELGetDNProgressDet --> Progress Detect = %s", 
					((progressDet==kProgressDetOn)?"ProgressDetOn":"ProgressDetOff"));
		else
			Print (paramPtr, "### TELGetDNProgressDet failed : %d", errCode);
	}
	else
		Print (paramPtr, "### Unable to retrieve the DN handle");
}
