/************************************************************************************************/
/*																								*/
/*	Module Name:	GetIndHSConnect																*/
/*																								*/
/*	File Name:		GetIndHSConnect.c															*/
/*																								*/
/*	 Apple Computer, Inc. 1994-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1994-06-21	Jaakko Railo		Original version										*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#ifndef __TELEPHONES__
#include "Telephones.h"
#endif

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

/****************************************** PROTOTYPES ******************************************/

void 	DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	OSErr		errCode;
	Boolean		handsetConnect;
	
	if ((errCode = TELGetIndHSConnect (termHand, &handsetConnect)) == noErr)
		Print (paramPtr, "TELGetIndHSConnect --> HandsetConnect = %s", 
				((handsetConnect==telIndHSConnected)?"telIndHSConnected":"telIndHSDisconnected"));
	else
		Print (paramPtr, "### TELGetIndHSConnect failed : %d", errCode);
}


