/************************************************************************************************/
/*																								*/
/*	Module Name:	GetVersion																	*/
/*																								*/
/*	File Name:		GetVersion.c																*/
/*																								*/
/*	 Apple Computer, Inc. 1991-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1991-08-12	Chris Halim			Original version										*/
/*		1995-06-26	Jaakko Railo		Version 2.0												*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

/****************************************** PROTOTYPES ******************************************/

void 	DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	VersRecHndl version;
		
	if ((version = (VersRecHndl) TELGetVersion (termHand)) != nil) {
		Print (paramPtr, " Short Vers : %*.*s", ((*version)->shortVersion)[0], ((*version)->shortVersion)[0], &((*version)->shortVersion)[1]);
		
		if (version)
			DisposHandle ((Handle) version);
	}
	else
		Print (paramPtr, "### TELGetVersion returns nil");
}


