/************************************************************************************************/
/*																								*/
/*	Module Name:	GetVolume																	*/
/*																								*/
/*	File Name:		GetVolume.c																	*/
/*																								*/
/*	 Apple Computer, Inc. 1991-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1991-08-13	Chris Halim			Original version										*/
/*		1995-06-26	Jaakko Railo		Version 2.0												*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#include "TextUtils.h"

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	rGetANumberDLOG		10000
#define	kNumber				3

/****************************************** PROTOTYPES ******************************************/

short	GetANumber (short * number);
void 	DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


short	GetANumber (short * number)
{
	short		itemKind;
	Handle		itemHand;
	Rect		itemRect;
	short		itemHit;
	DialogPtr	theDialog;
	Str255		itemStr;
	long		tlong;
	
	if ((theDialog = GetNewDialog (rGetANumberDLOG, nil, (WindowPtr)(-1L))) != nil) {
		GetDItem (theDialog, kNumber, &itemKind, &itemHand, &itemRect);
		SelIText (theDialog, kNumber, 0, 32767);
		
		ShowWindow (theDialog);
		
		ModalDialog (nil, &itemHit);
		
		if (itemHit == ok) {
			GetDItem (theDialog, kNumber, &itemKind, &itemHand, &itemRect);
			GetIText (itemHand, itemStr);
			StringToNum (itemStr, &tlong);
			*number = tlong;
		}
		
		DisposeDialog (theDialog);
	}
	else
		itemHit = -1;
	
	return (itemHit);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	short		itemHit, vtype;
	OSErr		errCode;
	short		level, vstate;
	
	if ((itemHit = GetANumber (&vtype)) == ok) {
		
		if ((errCode = TELGetVolume (termHand, vtype, &level, &vstate)) == noErr)
			Print (paramPtr, "TELGetVolume --> level = %d, vstate = %d", level, vstate);
		else
			Print (paramPtr, "### TELGetVolume failed : %d", errCode);
	}
	else
		if (itemHit == -1)
			Print (paramPtr, "### Unable to get a DLOG resource");
}


