/************************************************************************************************/
/*																								*/
/*	Module Name:	SetIndHSConnect																*/
/*																								*/
/*	File Name:		SetIndHSConnect.c															*/
/*																								*/
/*	 Apple Computer, Inc. 1994-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1994-05-20	Jaakko Railo		Original version										*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#ifndef __TELEPHONES__
#include "Telephones.h"
#endif

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	rDisplaySetIndHSConnectDLOG	10000
#define	kHandsetConnectItem			2
#define	kHandsetDisconnectItem		3

/****************************************** PROTOTYPES ******************************************/

short 	DisplaySetIndHSConnect (void);
void 	DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


short DisplaySetIndHSConnect (void)
{
	short		itemHit;
	DialogPtr	theDialog;
	
	if ((theDialog = GetNewDialog (rDisplaySetIndHSConnectDLOG, nil, (WindowPtr)(-1L))) != nil) {
		
		ShowWindow (theDialog);
		
		ModalDialog (nil, &itemHit);
		
		DisposeDialog (theDialog);
	}
	else
		itemHit = -1;
	
	return (itemHit);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	short		itemHit;
	OSErr		errCode;
	Boolean		handsetConnect;
	
	itemHit = DisplaySetIndHSConnect ();
	if ((itemHit == kHandsetConnectItem) || (itemHit == kHandsetDisconnectItem)) {
		
		handsetConnect = (itemHit == kHandsetConnectItem)?telIndHSConnected:telIndHSDisconnected;
		
		if ((errCode = TELSetIndHSConnect (termHand, handsetConnect)) == noErr)
			Print (paramPtr, "TELSetIndHSConnect --> HandsetConnect = %s", 
					((handsetConnect==telIndHSConnected)?"telIndHSConnected":"telIndHSDisconnected"));
		else
			Print (paramPtr, "### TELSetIndHSConnect failed : %d", errCode);
	}
	else
		if (itemHit == -1)
			Print (paramPtr, "### Unable to get a DLOG resource");
}


