/************************************************************************************************/
/*																								*/
/*	Module Name:	SetVolume																	*/
/*																								*/
/*	File Name:		SetVolume.c																	*/
/*																								*/
/*	 Apple Computer, Inc. 1991-1995															*/
/*	All Rights Reserved																			*/
/*																								*/
/*	Revision History:																			*/
/*																								*/
/*		Date		Who					Modification											*/
/*																								*/
/*		1991-08-14	Chris Halim			Original version										*/
/*		1995-06-26	Jaakko Railo		Version 2.0												*/
/*																								*/
/************************************************************************************************/

/****************************************** DESCRIPTION ******************************************

*************************************************************************************************/

/******************************************** HEADERS *******************************************/

#include "TextUtils.h"

#include "TestModule.h"

/****************************************** DEFINITIONS *****************************************/

#define	rGetThreeNumbersDLOG	10000
#define	kNumber1				3
#define	kNumber2				5
#define	kNumber3				7

/****************************************** PROTOTYPES ******************************************/

short	GetThreeNumbers (short * , short *, short *);
void 	DoTest (CHRSPtr paramPtr);

/************************************************************************************************/
/************************************************************************************************/


pascal short TestModule (CHRSPtr paramPtr)
{
	short	returnValue = noErr;
	
	if (paramPtr->version <= kTestModuleVersion) {
		
		DoTest (paramPtr);
		
	}
	else
		returnValue = kWrongVersion;
		
	return (returnValue);
}


short	GetThreeNumbers (short * number1, short * number2, short * number3)
{
	short		itemKind;
	Handle		itemHand;
	Rect		itemRect;
	short		itemHit;
	DialogPtr	theDialog;
	Str255		itemStr;
	long		tlong;
	
	if ((theDialog = GetNewDialog (rGetThreeNumbersDLOG, nil, (WindowPtr)(-1L))) != nil) {
		GetDItem (theDialog, kNumber1, &itemKind, &itemHand, &itemRect);
		SelIText (theDialog, kNumber1, 0, 32767);
		
		ShowWindow (theDialog);
		
		ModalDialog (nil, &itemHit);
		
		if (itemHit == ok) {
			GetDItem (theDialog, kNumber1, &itemKind, &itemHand, &itemRect);
			GetIText (itemHand, itemStr);
			StringToNum (itemStr, &tlong);
			*number1 = tlong;

			GetDItem (theDialog, kNumber2, &itemKind, &itemHand, &itemRect);
			GetIText (itemHand, itemStr);
			StringToNum (itemStr, &tlong);
			*number2 = tlong;

			GetDItem (theDialog, kNumber3, &itemKind, &itemHand, &itemRect);
			GetIText (itemHand, itemStr);
			StringToNum (itemStr, &tlong);
			*number3 = tlong;
		}
		
		DisposeDialog (theDialog);
	}
	else
		itemHit = -1;
	
	return (itemHit);
}


void DoTest (CHRSPtr paramPtr)
{
	TELHandle	termHand = GetCurrentTELHandle (paramPtr);
	short		itemHit, vtype;
	OSErr		errCode;
	short		level, vstate;
	
	if ((itemHit = GetThreeNumbers (&vtype, &vstate, &level)) == ok) {
		
		if ((errCode = TELSetVolume (termHand, vtype, &level, vstate)) == noErr)
			Print (paramPtr, "TELSetVolume --> level = %d", level);
		else
			Print (paramPtr, "### TELSetVolume failed : %d", errCode);
	}
	else
		if (itemHit == -1)
			Print (paramPtr, "### Unable to get a DLOG resource");
}


